Package org.apache.velocity.runtime.parser.node

# Class ASTLENode

java.lang.Object
org.apache.velocity.runtime.parser.node.SimpleNode
org.apache.velocity.runtime.parser.node.ASTBinaryOperator
org.apache.velocity.runtime.parser.node.ASTComparisonNode
org.apache.velocity.runtime.parser.node.ASTLENode

All Implemented Interfaces:
  `Cloneable`, `Node`, `Renderable`

public class ASTLENode extends ASTComparisonNode
Handles arg1 <= arg2

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`children, column, first, firstImage, id, info, invalid, last, lastImage, line, literal, log, parent, parser, rsvc, state, template`

## Constructor Summary

Constructors
Constructor
Description
`ASTLENode(int id)`
`ASTLENode(Parser p, int id)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLiteralOperator()`
get the string representing the mathematical operator
`boolean`
`numberTest(int compareResult)`
performs the actual comparison

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTComparisonNode

`compareNonNumber, compareNull, compareNumbers, evaluate, jjtAccept, value`

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTBinaryOperator

`init, literal`

### Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`childrenAccept, cleanupParserAndTokens, clone, clone, dump, dump, dump, execute, getColumn, getFirstToken, getFirstTokenImage, getInfo, getLastToken, getLastTokenImage, getLine, getLocation, getParser, getRuntimeServices, getTemplate, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, render, saveTokenImages, setFirstToken, setInfo, setInvalid, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASTLENode

public ASTLENode(int id)

### ASTLENode

public ASTLENode(Parser p, int id)

## Method Details

### getLiteralOperator

public String getLiteralOperator()
Description copied from class: `ASTComparisonNode`
get the string representing the mathematical operator

Specified by:
  `getLiteralOperator` in class `ASTComparisonNode`
Returns:
  operator string

### numberTest

public boolean numberTest(int compareResult)
Description copied from class: `ASTComparisonNode`
performs the actual comparison

Specified by:
  `numberTest` in class `ASTComparisonNode`
Parameters:
  `compareResult` -
Returns:
  comparison result